Groovy 1.7.0

## groovy.swing.binding
Class JComboBoxSelectedElementBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JComboBoxSelectedElementBinding

All Implemented Interfaces:
  PropertyChangeListener

    class JComboBoxSelectedElementBinding
    extends AbstractSyntheticBinding

Field Summary
`JComboBox` | `boundComboBox`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`JComboBoxSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)`

Method Summary
`void` | `itemStateChanged(ItemEvent e)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `setTargetBinding(TargetBinding target)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundComboBox

    JComboBox boundComboBox

Constructor Detail

### JComboBoxSelectedElementBinding

    public JComboBoxSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)

Method Detail

### itemStateChanged

    public void itemStateChanged(ItemEvent e)

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

### syntheticBind

    public void syntheticBind()

### syntheticUnbind

    public void syntheticUnbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.